#version 430 core
layout (location = 0) in vec4 Position;

uniform mat4 modelMatrix;
uniform mat4 viewProjMatrix;

out vData
{
float TTL1;
 vec3 position_world;
  
} vertex;

void main()
{
	vec4 position_world_ = modelMatrix * vec4(Position.xyz, 1);
	vertex.position_world = position_world_.xyz;
	gl_Position = viewProjMatrix * position_world_;
	vertex.TTL1 = Position.w;
}
